stable-diffusion-plus 函数fc webui启动报错-问答-阿里云开发者社区-阿里云

开发者社区 > 云原生 > Serverless > 正文

stable-diffusion-plus 函数fc webui启动报错

启动报错如下,请帮忙看下

{"ErrorCode":"FunctionNotStarted","ErrorMessage":"Function instance health check failed on port 7860 in 120 seconds.\nLogs:ng HEAD https://huggingface.co/Bingsu/adetailer/resolve/main/person_yolov8s-seg.pt\r\n\u001b[1m[\u001b[0m-\u001b[1m]\u001b[0m ADetailer: Failed to load model \u001b[32m'person_yolov8s-seg.pt'\u001b[0m from huggingface\r\n\u001b[1m[\u001b[0m-\u001b[1m]\u001b[0m ADetailer initialized. version: \u001b[1;36m23.7\u001b[0m.\u001b[1;36m11\u001b[0m, num models: \u001b[1;36m4\u001b[0m\r\n2023-09-09 14:59:30,038 - ControlNet - \u001b[0;32mINFO\u001b[0m - ControlNet v1.1.238\r\nControlNet preprocessor location: /mnt/auto/sd/extensions/sd-webui-controlnet/annotator/downloads\r\n2023-09-09 14:59:30,430 - ControlNet - \u001b[0;32mINFO\u001b[0m - ControlNet v1.1.238\r\nsd-webui-prompt-all-in-one background API service started successfully.\r\nDownloading the classes list to /root/.ifnude/classes\r\n** Error loading script: cimage.py\r\n Traceback (most recent call last):\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 1348, in do_open\r\n h.request(req.get_method(), req.selector, req.data, headers,\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 1282, in request\r\n self._send_request(method, url, body, headers, encode_chunked)\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 1328, in _send_request\r\n self.endheaders(body, encode_chunked=encode_chunked)\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 1277, in endheaders\r\n self._send_output(message_body, encode_chunked=encode_chunked)\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 1037, in _send_output\r\n self.send(msg)\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 975, in send\r\n self.connect()\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 1447, in connect\r\n super().connect()\r\n File \"/usr/local/lib/python3.10/http/client.py\", line 941, in connect\r\n self.sock = self._create_connection(\r\n File \"/usr/local/lib/python3.10/socket.py\", line 845, in create_connection\r\n raise err\r\n File \"/usr/local/lib/python3.10/socket.py\", line 833, in create_connection\r\n sock.connect(sa)\r\n OSError: [Errno 99] Cannot assign requested address\r\n\r\n During handling of the above exception, another exception occurred:\r\n\r\n Traceback (most recent call last):\r\n File \"/stable-diffusion-webui/modules/scripts.py\", line 319, in load_scripts\r\n script_module = script_loading.load_module(scriptfile.path)\r\n File \"/stable-diffusion-webui/modules/script_loading.py\", line 10, in load_module\r\n module_spec.loader.exec_module(module)\r\n File \"\u003cfrozen importlib._bootstrap_external\u003e\", line 883, in exec_module\r\n File \"\u003cfrozen importlib._bootstrap\u003e\", line 241, in _call_with_frames_removed\r\n File \"/stable-diffusion-webui/extensions/sd-webui-roop/scripts/cimage.py\", line 2, in \u003cmodule\u003e\r\n from ifnude import detect\r\n File \"/usr/local/lib/python3.10/site-packages/ifnude/init.py\", line 1, in \u003cmodule\u003e\r\n from .detector import detect\r\n File \"/usr/local/lib/python3.10/site-packages/ifnude/detector.py\", line 40, in \u003cmodule\u003e\r\n download(classes_url, classes_path)\r\n File \"/usr/local/lib/python3.10/site-packages/ifnude/detector.py\", line 16, in download\r\n request = urllib.request.urlopen(url)\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 216, in urlopen\r\n return opener.open(url, data, timeout)\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 519, in open\r\n response = self._open(req, data)\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 536, in _open\r\n result = self._call_chain(self.handle_open, protocol, protocol +\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 496, in _call_chain\r\n result = func(args)\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 1391, in https_open\r\n return self.do_open(http.client.HTTPSConnection, req,\r\n File \"/usr/local/lib/python3.10/urllib/request.py\", line 1351, in do_open\r\n raise URLError(err)\r\n urllib.error.URLError: \u003curlopen error [Errno 99] Cannot assign requested address\u003e\r\n\r\n---\r\nDownloading the classes list to /root/.ifnude/classes"}

展开
收起
探花xunda 2023-09-09 23:12:17 252 0
1 条回答
写回答
取消 提交回答
  • sd要去下载hf的模型文件报错,你的服务器是不是连不上hf,你试试把要下载的文件在自己的pc电脑上下载好放到对应服务器的文件夹上面去。

    2023-09-19 07:54:23
    赞同 展开评论 打赏
问答标签:
问答地址:
相关产品:
快速交付实现商业价值。
相关文档: 函数计算
热门讨论
热门文章
相关电子书
更多
函数计算集团规模化落地实践(3).ppt
立即下载
Serverless 开发速查手册
立即下载
SAE 引领应用步入 Serverless 全托管新时代
立即下载